Wie entferne ich ein Paket mit apt-get?

Ausgabezeit: 2022-06-24

Verwenden Sie den folgenden Befehl, um ein Paket mit apt-get zu entfernen:

apt-get entfernen Paketname1

Wenn Sie eine Abhängigkeit eines Pakets entfernen, verwenden Sie den folgenden Befehl:

apt-get remove Paketname2 hängt von Paketname1 ab

Weitere Informationen zur Verwendung von apt-get finden Sie auf der man-Seite von apt-get.

Wie lautet der Befehl zum Entfernen eines Pakets und seiner Abhängigkeiten mit apt-get?

Der Befehl zum Entfernen eines Pakets und seiner Abhängigkeiten mit apt-get lautet:

apt-get entfernen Paketname1 Paketname2 ...

Kann ich apt-get verwenden, um eine bestimmte Abhängigkeit eines Pakets zu entfernen?

Ja, Sie können apt-get verwenden, um eine bestimmte Abhängigkeit eines Pakets zu entfernen.Verwenden Sie dazu beim Installieren oder Entfernen des Pakets die Option --remove:

apt-get install Paket A apt-get remove Paket B --remove=Abhängigkeit C

Wenn Sie nur eine bestimmte Abhängigkeit entfernen möchten, können Sie diese auch als Argument für die Option --remove angeben:

apt-get install Paket A apt-get remove Paket B --remove=Abhängigkeit C arg1 arg2 ...

Was passiert, wenn ich versuche, ein Paket zu entfernen, von dem ein anderes installiertes Paket abhängt?

Wenn Sie versuchen, ein Paket zu entfernen, von dem ein anderes installiertes Paket abhängt, teilt apt-get Ihnen mit, dass das andere Paket verwendet wird und nicht entfernt wird.Wenn das andere Paket derzeit nicht installiert ist, wird es installiert, wenn Sie versuchen, das abhängige Paket zu entfernen.

Wird das Entfernen eines Pakets mit apt-get auch seine Konfigurationsdateien entfernen?

Ja, das Entfernen eines Pakets mit apt-get entfernt auch seine Konfigurationsdateien.Dies liegt daran, dass die Konfigurationsdateien in einem Unterverzeichnis des Paketverzeichnisses gespeichert sind.Standardmäßig heißt dieses Unterverzeichnis configs.Wenn Sie die Konfigurationsdateien nach dem Entfernen eines Pakets behalten möchten, können Sie beim Ausführen von apt-get die Option --keep-config verwenden.

Ist es möglich, entfernte Pakete mit apt-get neu zu installieren?

Ja, es ist möglich, entfernte Pakete mit apt-get neu zu installieren.Identifizieren Sie dazu zunächst das Paket, das Sie neu installieren möchten.Verwenden Sie als Nächstes den Befehl apt-get remove, um das Paket von Ihrem System zu entfernen.Verwenden Sie schließlich den Befehl apt-get install, um das Paket erneut zu installieren.

Wie kann ich feststellen, welche Version eines Pakets von apt-get installiert wird?

Wenn Sie ein Paket und seine Abhängigkeiten entfernen möchten, verwenden Sie den folgenden Befehl:

apt-get entfernen Paket1 Paket

Dadurch wird eine Liste aller Pakete gedruckt, die entfernt werden.Die Versionsnummer für jedes dieser Pakete finden Sie mit dem Befehl apt-cache show.Zum Beispiel:

apt-get remove libxml2 Zustandsinformationen werden gelesen...Fertig Abhängigkeitsbaum erstellen Zustandsinformationen werden gelesen...Fertig Die folgenden Pakete werden ENTFERNT: libxml2 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 5 nicht aktualisiert.Nach diesem Vorgang verbleiben 5 Elemente auf Ihrem System.Möchtest du weiter machen?[J/n] y Entfernen von libxml

  1. .. PaketN
  2. ..erledigt. 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 6 4 4 45 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 141 142 143 145 146 146 148 149 149 150 140 141 142 143 145 146 147 148 149 150 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 193 195 195 196 197 19 198 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 199 19 199 199 19 199 199 19 199 19 199 19 199 19 199 19 199 19 199 19 199 19 199 19 199 19 199 19 199 19 19 199 19 19 199 19 1911 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 225 226 227 228 229 230 231 232 233 235 236 236 238 239 240 241 242 243 245 246 246 247 248 249 249 249 249 250 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441442 443 444 445 446 747 448 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436437438439440441 Auswahl des zuvor nicht ausgewählten Pakets libxml (Lesen der Datenbank ... 102753 Dateien und Verzeichnisse, die derzeit installiert sind.) Entpacken von libxml2 (aus .../li bxml2_9~dfsg-5ubuntu4_amd6deb) ...Einrichten von libxml2 (9~dfsg-5ubuntu ... Verarbeitung von Triggern für man-db (6 ... Einrichten von lsb-release (9etch) ...Einrichten von dpkg (: Versuchen, die Architektur i38 zu bestimmen..

Woher weiß ich, ob ich die neueste Version eines Pakets installiert habe?

Um festzustellen, ob Sie die neueste Version eines Pakets installiert haben, verwenden Sie den Befehl apt-get remove package.Dieser Befehl entfernt alle Pakete, die Abhängigkeiten des angegebenen Pakets sind.Wenn das angegebene Paket nicht installiert ist, werden keine Pakete entfernt.

Das folgende Beispiel zeigt, wie Sie den Befehl apt-get remove package verwenden, um libgtk$ sudo apt-get remove libgtk zu entfernen auf Ihrem System gefunden haben, müssen Sie diese Bibliotheken möglicherweise installieren, bevor Sie versuchen, das Paket erneut mit dem Befehl apt-get remove zu deinstallieren。

Sie können auch aptitude oder dpkg --list --installed | verwenden grep -E "^i[36m" um weitere Informationen darüber zu erhalten, welche Bibliotheken von einem bestimmten Paket benötigt werden。

Eine alternative Methode, um festzustellen, ob Sie eine veraltete Version eines Softwarepakets haben, besteht darin, die Statusseite des Online-Repositorys zu überprüfen. Sie können dies tun, indem Sie den folgenden Befehl in Ihrem Terminalfenster ausgeben:

$ sudo aptitude update && sudo aptitude dist‑upgrade Paketlisten werden gelesen...Erstellung des Abhängigkeitsbaums abgeschlossen ...Fertig Die folgenden NEUEN Pakete werden installiert: linuxmint 17 Xenial InRelease [569 kB] Abrufen von 569 kB in 4s (858 kB/s) Auswahl des zuvor nicht ausgewählten Pakets linuxmint17 InRelease .. Installation des setuid-Root-Programms als /usr/bin/mint Update erfolgreich abgeschlossen Aktualisierung der Zustandsinformationen für linuxmint17 Die folgenden AUSSTEHENDEN Aufgaben stehen noch aus: #89 Compiling linux Mint 17 MATE Desktop Environment #92 Bereinigen temporärer Dateien Herunterladen von Paketen: 100 % abgeschlossen Verarbeitung von Triggern für Manpages nach der Installation Die folgenden NEUEN PAKETE werden INSTALLIERT: ubuntu 1604 LTS amd64 0 aktualisiert, 0 neu installiert, 2 neu installiert oder entfernt und 3 nicht aktualisiert. Transaktionsprüfung wird ausgeführt – Bitte warten Sie grep -E "^ii[36m" ii Anfängerleitfaden für Ubuntu 1604 LTS $ cat /etc/*release* ii Linux Mint 17 Tara $ cat /etc/*version* ii Linux Mint 17 Tara NVIDIA 396 Driver 39

  1. 0-0:
  2. 0-0 Paketlisten lesen...Erstellung des Abhängigkeitsbaums abgeschlossen ...Fertig Die folgenden NEUEN Pakete werden installiert: libgtk0-0 0 aktualisiert, 1 neu installiert, 0 zu entfernen und 2 nicht aktualisiert.Benötigen Sie 9 MB Archiv.Nach diesem Vorgang werden 34 MB zusätzlicher Speicherplatz verwendet.Möchten Sie fortfahren [J/N]?y Get:1 http://archive.ubuntu.com/ubuntu xenial InRelease [9 MB] Holte 9 MB in 1 s (11 kB/s) Wählt zuvor nicht ausgewähltes Paket libgtk0-. (Lese Datenbank ... 11703 Dateien und Verzeichnisse derzeit installiert.) Entpacken von libgtk0-0 (aus .../libgtk0-0_1%3a4%3a20140626+dfsg1+Ubuntu16_amd6 ... Einrichten von libgtk0-0 (1:4~20140626+ dfsg1+Ubuntu16_amd6 ... Abhängigkeit von `libc6' wird entfernt: Neue Abhängigkeit gefunden: i386 Pakete, die diese Bibliothek erfordern, werden jetzt installiert, können aber erst aktualisiert werden, nachdem sie entpackt und konfiguriert wurde Fehler beim Installieren von 'libc6' - fehlende erforderliche Datei(en). )?
  3. *10041020beta3 amd64 $ dpkg --list | grep nvidia nvidia-Treiber 39

Was sind einige Vorteile der Verwendung von apt gegenüber anderen ähnlichen Tools wie yum oder dnf ?

Es gibt einige Vorteile bei der Verwendung von apt gegenüber anderen ähnlichen Tools wie yum oder dnf.Erstens ist apt zuverlässiger und wird seit längerer Zeit in Linux-Distributionen verwendet.Zweitens hat es ein viel besseres Abhängigkeitsverwaltungssystem als yum oder dnf.Das bedeutet, dass Sie sicher sein können, dass die Pakete, die Sie mit apt installieren, richtig zusammenarbeiten.Schließlich ist apt schneller als yum oder dnf, wenn Pakete aus Repositories installiert werden.